by

Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Activity
    Heist
    @sarung1985_twitter
    And sorry, as I am new to this
    please help
    Steve Day
    @SteveDa79131270_twitter
    Hi there - is it possible jut to connect amplify to existing config to connect to already existing facebook/google cognito identity providers on my existing user pool?
    image.png
    just want to congiure the above code
    image.png
    it errors out when i press the facebook button - looks llike it needs some config :)
    Zac Melnick
    @ZMel
    Hi,
    Does anyone know if the amplify cli uses any native node.js features or C code? I’m looking to use play.js on my iPad but it doesn’t support non JavaScript code
    rodhoff
    @rodhoff
    Hi all... I'm getting this error while trying to run my expo aws react-native app through expo web...
    image.png
    has anyone seen it?
    Vince Fulco
    @weisisheng
    Anyone else experience this? Two days ago updated to latest amplify-cli and sdk, now using expressvpn vpn as I have done for a few years, I can't reach endpoints in the US or Asia from the CLI. Don't know how to explain as I am not that savvy at DNS issues. If others have any ideas, much appreciated.
    Chris Edwards
    @AgileChrisYYC_twitter
    Is anyone else having issues in the Amplify console connecting to Github today?

    "There was an issue connecting to your repo provider, click "Re-authenticate app" in General Settings, and then try your build again."

    I've unauthenticated twice, now, no change

    Last successful build I had was 30 minutes ago, and then it just stopped working
    Chris Edwards
    @AgileChrisYYC_twitter
    oh, it's a bad error message
    Amplify console says it is that, but definitely is not a connection issue
    Steve Day
    @SteveDa79131270_twitter
    Has anyone resolved the dreaded AWS amplify "No Current User" issue that happens now and then on Auth.federatedSignIn?
    Steve Day
    @SteveDa79131270_twitter
    image.png
    If you want a solution - sometimes the aws amplify signin event comes in after the redirect uri is loaded - so if that happens Auth.getAuthenticatedUser() will return No Current User/Not Authenticated because the Hub.listen.signIn event hasn't come in yet. Most times it comes before so you dont get the error. So in this case you need to after the redirect uri has loaded wait for the signIn event to come in first before using the tokens and continuing your workflow
    sergiovv11
    @sergiovv11
    Hi guys! I'm calling the "Auth.signIn" method in order to get an SMS code and if I want to resend the code, I just recall the method again and is simulating a "resendSignIn" method (that does not exist on aws-amplify). However, everytime I call the sign in method I get a new User object (for comfirn sing in) which makes the old codes invalid (despites the 3 minutes window for validation). Is there a better way to implement the resend sign in code in order to accept all the valid codes?
    sergiovv11
    @sergiovv11
    Hey guys! Another thing also that I'll like to check is that I create a middleware in order to verify the "Auth.currentAuthenticatedUser" method but I'm getting the following error: "Error: Amplify has not been configured correctly." but in other pages is working just fine the aws amplify method (currentUser, signin, signup, etc.) Let me know if you know how to fix this
    Michał Mikołajczyk
    @michalmikolajczyk
    Hi I have a problem with Amplify JS SDK – Authentication - Admin Queries. I create that using amplify update auth in the CLI and I can see that the function and API are created, BUT I don't see the AdminQueries API in the console (except for in logs), and when I try to call it, I get (in promise) API AdminQueries does not exist. I cannot create that API myself through the CLI because it is already present in amplify-meta.json. Should I see the AdminQueries API in the console?
    ZayaSerg
    @ZayaSerg

    Maybe someone can help me. How can I get data only by owner and all data if I'm in the administrators group

    type VisentStoreBetaOrder @model
    @aws_cognito_user_pools
    @auth(rules: [
    { allow: owner, ownerField: "userID" },
    { allow: groups, groups: ["admin"], groupClaim: "cognito:groups" }
    ])

    since the admin is a user, in my example, he also receives only his own data, but I need to get all the data, how to fix this

    3 replies
    Stephen Nutbrown
    @NutterzUK
    Hi. Is it possible to turn off the email verification when using amplify auth? I've managed to get it removed from the cognito user pool, but the AmplifyAuthenticator is still showing the confirmSignUp view. I added a lambda trigger on Sign Up which will confirm the email addresses, but it still shows this page.
    Bishwo Gurung
    @bishwogurung
    Hi, I am using Amplify just for the frontend and have my backend in an EC2 instance. How do I let EC2 instance accept inbound traffic coming from an Amplify app? In security groups for EC2, only ip addresses (CIDR) are accepted and Amplify app only has that DNS to show.
    Ricardo Montoya
    @mogarick
    Hi, does anybody know how can I get more specific errors when graphql @auth directive fails? I’m currently receiving a generic error when I try to modify a record using a user2 that is only in the viewers group that only has read permission. I was expecting a more specific message that I can catch and know it’s @auth related but what I got is the message below that is thrown for many other reasons not only for amplify graphql @auth directive errors:
    {
      "data": {
        "updateAnimal": null
      },
      "errors": [
        {
          "path": [
            "updateAnimal"
          ],
          "data": {
            "id": "xxxxxx-0048-494b-b16c-rrreeeeeee88888",
            "name": "Camilo",
            "eid": "67843349",
            "sexType": "male",
            "traits": null,
            "birthdate": null,
            "recordOwner": "user1",
            "viewers": [
              "Gf76LAgGz3K4:VtOLstDpj0y9"
            ],
          },
          "errorType": "DynamoDB:ConditionalCheckFailedException",
          "errorInfo": null,
          "locations": [
            {
              "line": 2,
              "column": 3,
              "sourceName": null
            }
          ],
          "message": "The conditional request failed (Service: AmazonDynamoDBv2; Status Code: 400; Error Code: ConditionalCheckFailedException; Request ID: G12AE3S7K4RRG3RFLHVMVLHV5JVV4KQNSO5AEMVJF66Q9ASUAAJG)"
        }
      ]
    }
    Ricardo Montoya
    @mogarick
    I better opened a discussion for my question https://github.com/aws-amplify/amplify-js/discussions/6063. I hope someone can help me. Thank you in advance.
    AnmolAgg27
    @AnmolAgg27
    Hi, even after installing the cli using : npm install -g @aws-amplify/cli
    whenever i try to configure or initialize , i am getting command not found error on terminal macos
    ZayaSerg
    @ZayaSerg
    @Ricardo the problem is that admin precendence not applied firts although has the highest precedence
    [
    {
    "groupName": "admin",
    "precedence": 1
    },
    {
    "groupName": "dealer",
    "precedence": 2
    },
    {
    "groupName": "customer",
    "precedence": 3
    }
    ]
    Sebastian Mellen
    @sebmellen
    @baliyan9887 Have you found any solution for your "⠀
    warn "export 'Amplify' was not found in '@aws-amplify/core'
    warn "export 'Amplify' was not found in '@aws-amplify/core'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'
    warn "export 'Auth' was not found in '@aws-amplify/auth'" issue?
    I'm getting exactly this issue, as well as export 'isEmpty' was not found in '@aws-amplify/core'
    abdulrehman
    @abdul_rehman_twitter
    Hi.
    Auth.federatedSignIn(...) call fails with following exception: "SyntaxError: Unexpected token o in JSON at position 1 at JSON.parse (<anonymous>)."
    What could be the cause?
    top3-expert
    @top3-expert
    I am fairly new to programming and AWS serverless apps in general. I am following this tutorial https://aws-amplify.github.io/docs/js/tutorials/building-react-native-apps/ and now trying to query all rows from my dynamo DB table, does anyone have any recommendation on how to do that?
    IndiannoGibbs
    @IndiannoGibbs
    Anyone here knows how to remove the "sign in aws" button in aws amplify?
    Matt Auerbach
    @mauerbac_twitter
    [Announcement - New Home For Our Community] Hi everyone - I'm Matt and I recently joined the Amplify team at AWS in an open source community role. Today, I’m excited to announce we are going to move this community to Discord, which is a chat & video platform for communities like ours. It will allow us additional benefits like multiple channels and roles types, as well as teams like moderators and Amplify staff members. We are still getting started but wanted to invite this community over first to help us shape the future of our new chat platform. To learn a bit more and provide feedback, I’ve opened this issue: aws-amplify/amplify-js#5716. If you’d like to hop into Discord, please use this link -> https://discord.gg/amplify.
    Jake Mitchell
    @jakemitchellxyz

    So I'm stuck on a problem. I'm using ElasticSearch via @searchable on a @model. this model has an array of objects connected to it. Here's a toy version:

    type Person @model @searchable {
        id: ID
        cities: [Location!]!
    }
    
    type Location {
        city: String
        state: String
    }

    Does anyone know how to search (using searchPersons) and filter Persons by whether they match a string value for city or state in any of the cities? This seems like a common situation, but I cannot find anyone actually doing this. My current direction is maybe Nested types in ElasticSearch, but I'm not sure how that plays into graphql schema / the filter that passes through AppSync

    IvanCaceres
    @IvanCaceres
    is there a way of doing case insensitive searches working with the GraphQL api / DataStore query
    Khaled AbuShqear
    @shqear93
    In AWS::Amplify::App Why can't select CloudPipeline connection Arn instead of directly providing access token? in bitbucket cloud they don't provide personal access token!
    AWS Console -> Developer Tools -> Settings -> Connections
    Is this the official Amplify room?
    It will be awesome if you provide such option in cloudformation, and you may support bitbucket app password feature
    Ajit Kumar Goel
    @ajitgoel
    I am facing 2 issues, 1. Storage.put throws a Uncaught (in promise) No plugin found in Storage for the provider on my local machine 2. when I publish the same to aws, I get a r[a].trim is not a function, the server responded with a status of 403 (Forbidden) Would the community have an input on what could be wrong? I am using "@aws-amplify/storage": "^3.1.9", "@aws-amplify/ui-vue": "^0.2.5", "aws-amplify": "^3.0.11". I had previously updated to the latest versions of the above libraries but I faced the same issues.
    Ajit Kumar Goel
    @ajitgoel
    I am getting an error(different errors) uploading a user's private file to storage on both my local machine and after publishing to AWS. Can the community take a look at my issue in github and advise? aws-amplify/amplify-js#6225
    Umer MiB
    @UmerMIB
    Hi there I'm a newbie here I need help in refreshing token from cognito userpool I had used Auth.currentSession() and Auth.currentAuthenticatedUser() but both methods didn't work after tokens get expired " as mentioned in docs thta auth.currentSession will refresh the tokens if they are expired " but I'm getting an error of " No current user " " No authenticated user ", Remember I hadn't used fedrated identities. Your little guidnace is too much appreciated
    sergiovv11
    @sergiovv11
    Hi guys! Can you do a forgot flow by email or phone instead of username?
    1 reply
    Erich L Timkar
    @erich-team
    For anyone waiting on community support and (like me) missed the announcement on June 24th, the community seems to be moving to be moving over to discord.
    1 reply
    yamakei31
    @yamakei31_twitter
    I recently started Amplify.
    I have a question about Pagination.
    I understand Pagination using nextToken, but I don't know how to do paging like limit-offset that uses page numbers.
    How can I limit-offset pagination?
    Sumeet Chawla
    @sumeetchawla
    hey guys! Finally found a community for AWS Amplify